### Function

# FwupdPlugin cpuid

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_cpuid (
      guint32 leaf,
      guint32* eax,
      guint32* ebx,
      guint32* ecx,
      guint32* edx,
      GError** error
    )

#### Description [src]

Calls CPUID and returns the registers for the given leaf.

Available since: 1.8.2

#### Parameters

`leaf`

  Type: `guint32`

  The CPUID level, now called the ‘leaf’ by Intel.

`eax`

  Type: `guint32*`

  EAX register.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`ebx`

  Type: `guint32*`

  EBX register.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`ecx`

  Type: `guint32*`

  ECX register.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`edx`

  Type: `guint32*`

  EDX register.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the registers are set.